import { Context } from "./Context";
import { OptionDefinition } from "./OptionDefinition";
import { Script } from "./Script";
interface UnknownObjectStructure {
    [key: string]: any;
}
declare type OptionDefinitionGenerator = (store: UnknownObjectStructure, options?: UnknownObjectStructure) => OptionDefinition[];
export interface ScriptDefinition {
    name?: string;
    options?: OptionDefinition[] | OptionDefinitionGenerator;
    store?: UnknownObjectStructure;
    command?(options: OptionDefinition[], context: Context): Promise<any>;
}
export declare class SmartScriptDefinition implements ScriptDefinition {
    name?: string;
    store?: UnknownObjectStructure;
    command?(options: UnknownObjectStructure, context: Context): Promise<any>;
    script: Script;
    private optionsSource?;
    constructor(definition: ScriptDefinition, script: Script);
    get options(): OptionDefinition[];
    get setupOnceOptions(): OptionDefinition[];
    get storeDefaultOptions(): OptionDefinition[];
}
export {};
